Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81435 - Apache does not display server status information.
Summary: Apache does not display server status information.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: apache
Version: 2.1
Hardware: ia64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 14:45 UTC by Martin Jenner
Modified: 2007-11-30 22:06 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-14 14:04:13 UTC


Attachments (Terms of Use)

Description Martin Jenner 2003-01-09 14:45:38 UTC
Description of problem:

Apache server status does not work, errors seen in httpd/error_log
shutting down apache for module mod_status.c


Version-Release number of selected component (if applicable):


How reproducible:

Always.


Steps to Reproduce:
1.  Make certain that httpd.conf contains:  

                LoadModule status_module      modules/mod_status.so  

                AddModule mod_status.c  

                <Location /server-status>  

                        SetHandler server-status  

                        Order allow,deny  

                        Allow from all  

                </Location>

Restart apache server.

# service httpd restart

2. Load up 

                http://servername/server-status.  

Observe the status or lack of.

3. Check apache /var/logs/httpd/eror_log for errors.

[Wed Jan  8 19:21:37 2003] [notice] Apache/1.3.27 (Unix)  (Red-Hat/Linux)
mod_python/2.7.8 Python/1.5.2 mod_ssl/2.8.12 OpenSSL/0.9.6b DAV/1.0.3 PHP/4.1.2
mod_perl/1.26 configured -- resuming normal operations
[Wed Jan  8 19:21:37 2003] [notice] suEXEC mechanism enabled (wrapper:
/usr/sbin/suexec)
[Wed Jan  8 19:21:37 2003] [notice] Accept mutex: sysvsem (Default: sysvsem)
[Wed Jan  8 19:22:29 2003] [notice] caught SIGTERM, shutting down
[Wed Jan  8 19:22:29 2003] [error] Cannot remove module mod_status.c: not found
in module list
    
Actual results:

The server status page is not displayed.


Expected results:

HTML page dispalyed with server status.


Additional info:

This error was seen is both the baseline ia64 package and errata RHSA-2002:251.
Works fine on AS 2.1 ia32 release.

Comment 1 Joe Orton 2003-07-11 08:05:03 UTC
Can you post the full configuration file used?

Comment 2 Martin Jenner 2003-07-14 13:18:24 UTC
Joe, I do not have the httpd.conf file still to hand ,but the testing scenario
was after a Custom/Everything install enable server status, restart the httpd
service and test the url. I made no other edits to the httpd.conf.

Comment 3 Brian Brock 2004-04-14 15:49:48 UTC
I'm still seeing this bug, even in 1.3.27-7.ent.

Comment 5 Brian Brock 2004-04-14 15:59:18 UTC
Turning on ExtendedStatus results in a dying httpd, and the following
error messages in /var/log/httpd/error_log:

[Wed Apr 14 12:04:30 2004] [notice] SIGHUP received.  Attempting to
restart
[Wed Apr 14 12:04:31 2004] [error] Cannot remove module mod_status.c:
not found in module list
Syntax error on line 363 of /etc/httpd/conf/httpd.conf:
Invalid command 'ExtendedStatus', perhaps mis-spelled or defined by a
module not included in the server configuration



Note You need to log in before you can comment on or make changes to this bug.